@media screen and (max-width: 810px) {

    /* mobile */
    .header_pc {
        display: none
    }

    .menu-item {
        list-style: none;
        display: inline-block;
        padding: 10px;
    }

    body {
        font-size: large;
        font-family: "Helvetica Neue", "Helvetica", "Hiragino Sans", "Hiragino Kaku Gothic ProN", "Arial", "メイリオ", "Meiryo", sans-serif;

    }

    .header {
        z-index: 2147483647;
        display: flex;
        position: fixed;
        justify-content: space-between;
        align-items: center;
        width: -webkit-fill-available;
        background: rgba(235, 235, 235, 0.60);
    }

    .logo {
        font-size: x-large;
        display: contents
    }

    .drawer-hidden {
        display: none;
    }

    .drawer-open {
        display: flex;
        height: 60px;
        width: 60px;
        justify-content: center;
        align-items: center;
        position: relative;
        z-index: 100;
        cursor: pointer;
    }

    .drawer-open span,
    .drawer-open span:before,
    .drawer-open span:after {
        content: '';
        display: block;
        height: 3px;
        width: 25px;
        border-radius: 3px;
        background: #333;
        transition: 0.5s;
        position: absolute;
    }

    .drawer-open span:before {
        bottom: 8px;
    }

    .drawer-open span:after {
        top: 8px;
    }

    #drawer-check:checked~.drawer-open span {
        background: rgba(255, 255, 255, 0);
    }

    #drawer-check:checked~.drawer-open span::before {
        bottom: 0;
        transform: rotate(45deg);
    }

    #drawer-check:checked~.drawer-open span::after {
        top: 0;
        transform: rotate(-45deg);
    }

    .drawer-content {
        width: 100%;
        height: 100%;
        position: fixed;
        top: 0;
        left: 100%;
        z-index: 99;
        background: rgba(235, 235, 235, 0.842);
        transition: .2s;
    }

    #drawer-check:checked~.drawer-content {
        left: 0;
    }

    .table_design {
        width: 100%;
        text-align: center;
        border-collapse: collapse;
        border-spacing: 0;
        table-layout: fixed;
    }

    .table_design th {
        padding: 4px;
        background: #e9faf9;
        border: solid 1px #778ca3;
    }

    .table_design td {
        padding: 4px;
        border: solid 1px #778ca3;
        overflow-wrap: anywhere;
    }
}

@media screen and (min-width: 811px) {

    /* PC */
    header {
        z-index: 2147483647;
        display: flex;
        position: fixed;
        width: 102%;
        height: 40px;
        background-color: rgb(235, 235, 235);
        align-items: center;
        justify-content: center;
        margin-block-start: -10px;
        margin-inline-start: -10px;
    }

    .header {
        display: none;
    }

    .menu-item {
        list-style: none;
        display: inline-block;
        padding: 10px;
    }

    body {
        font-size: large;
        font-family: "Helvetica Neue", "Helvetica", "Hiragino Sans", "Hiragino Kaku Gothic ProN", "Arial", "メイリオ", "Meiryo", sans-serif;

    }

    .table_design {
        width: 100%;
        text-align: center;
        border-collapse: collapse;
        border-spacing: 0;
        table-layout: fixed;
    }

    .table_design th {
        padding: 10px;
        background: #e9faf9;
        border: solid 1px #778ca3;
    }

    .table_design td {
        padding: 10px;
        border: solid 1px #778ca3;
        overflow-wrap: anywhere;
    }
}


.a-none-color {
    text-decoration: none;
    color: black;
}

.title {
    margin-right: auto;
}


footer {
    border-top: solid 1px lightgray;
    padding-bottom: 10px;
}

footer ul {
    text-align: center;
}

footer ul li {
    padding: 0 4px;
    display: inline;
}

footer p {
    text-align: center;
}

.center {
    text-align: center;
}

.gaming {
    background: linear-gradient(to right, Magenta, yellow, Cyan, Magenta) 0% center/200%;
    animation: gaming 2s linear infinite;
}

@keyframes gaming {
    100% {
        background-position-x: 200%;
    }
}

.gaming_gradation {
    background: linear-gradient(to right, Magenta, yellow, Cyan, Magenta) 0% center/200%;
    animation: gaming 2s linear infinite;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    -webkit-text-stroke-width: 0.3px;
    -webkit-text-stroke-color: black;
}

p {
    display: block;
    margin-block-start: 0.1em;
    margin-block-end: 0em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
}

.narrow {
    display: block;
    margin-block-start: 0.1em;
    margin-block-end: 0em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
}

.gap {
    margin-inline-start: 3%;
    margin-inline-end: 1%;
    margin-block-end: 2px;
}

.math_size {
    font-size: larger;
}


.code_box {
    display: block;
    padding: 9.5px;
    margin: 0 0 10px;
    font-size: large;
    line-height: 1.42857143;
    word-break: break-all;
    word-wrap: break-word;
    color: #333;
    background-color: #f1f1f1;
    border: 1px solid #ccc;
    border-radius: 3px;
    font-family: Menlo, Monaco, Consolas, "Courier New", monospace;
}

.err_box {
    display: block;
    padding: 9.5px;
    margin: 0 0 10px;
    font-size: large;
    line-height: 1.42857143;
    word-break: break-all;
    word-wrap: break-word;
    color: #333;
    background-color: #9e2b2b65;
    border: 1px solid #ccc;
    border-radius: 3px;
    font-family: Menlo, Monaco, Consolas, "Courier New", monospace;
    margin-inline-start: 15px;
    margin-inline-end: 50%;
}

.colored {
    background-color: rgb(235, 235, 235);
}

code {
    background-color: #b2dbb2;
    color: #5f3d3d;
}

.dead_team {
    background: rgba(255, 115, 0, 0.25);
}

.up_team {
    background: rgba(0, 162, 255, 0.25)
}

.page_selection a {
    margin: inherit;
}

.page_selection {
    text-align: center;
    margin: inherit;
}

.length_selection a {
    margin: inherit;
}

.length_selection {
    text-align: right;
    margin: inherit;
}

.num_input {
    font-size: larger;
    font-weight: bold;
    width: 75%;
    height: 20px;
    text-align: center;
}

.num_input_check {
    background-color: #778ca3;
    color: #e9faf9;
    font-size: larger;
    font-weight: bold;
    width: 75%;
    height: 20px;
    text-align: center;
}